# configure

inline fun <T : Any> ExtensionContainer.configure(type: KClass<T>, action: Action<in T>)
inline fun <T : Any> ExtensionContainer.configure(type: KClass<T>, action: Action<in T>)

Kotlin extension function taking kotlin.reflect.KClass for org.gradle.api.plugins.ExtensionContainer.configure.

#### See also

ExtensionContainer.configure

inline fun <T : Any> ExtensionAware.configure(noinline configuration: T.() -> Unit)

Executes the given configuration block against the extension of the specified type.

#### Parameters

T

the extension type.

configuration

the configuration block.

#### See also

ExtensionAware

inline fun <T : Any> ExtensionContainer.configure(noinline action: T.() -> Unit)

Looks for the extension of the specified type and configures it with the supplied action.

#### Since

5.0

#### Parameters

T

the extension type

action

the configuration action

#### See also

ExtensionContainer.configure

inline fun <T : Any> Project.configure(noinline configuration: T.() -> Unit)

Executes the given configuration block against the project extension of the specified type.

#### Parameters

T

the project extension type.

configuration

the configuration block.

#### See also

ExtensionAware